#ifndef KSPREAD_INPUTRANGE1GROUPBOX_H
#define KSPREAD_INPUTRANGE1GROUPBOX_H

#include "kspread_dlg_data_analysis_template.h"
#include <qbuttongroup.h>

class QBoxLayout;
class QCheckBox;
class QRadioButton;
class QEditButton;
class QLineEdit;
class QFrame;

class KSpreadInputRange1GroupBox : public QButtonGroup
{
	Q_OBJECT
public:
	KSpreadInputRange1GroupBox(KDialogEditButton* dialog, QWidget* parent,  const char* name);
	QVBoxLayout* layout();
	
private:
	QVBoxLayout* inputLayout;
	QCheckBox* labelsCheckBox;
	QRadioButton* groupedByRowsButton;
	QRadioButton* groupedByColumnsButton;
private slots:	
	void slotChangeGroupByLabel();
};

#endif
