#ifndef __kspread_dlg_solv_add_change_condition__
#define __kspread_dlg_solv_add_change_condition__

#include "kspread_dlg_solver_template.h"

class KSpread::View;
class KSpreadDlgSolverMain;
class QEditButton;
class QComboBox;

class KSpreadDlgSolverAddChangeCondition: public KSpreadDlgSolverTemplate
{
	Q_OBJECT
public:
	KSpreadDlgSolverAddChangeCondition( KSpread::View* parent, const char* name, KSpreadDlgSolverMain* mainDialog, bool add);
	~KSpreadDlgSolverAddChangeCondition();
private slots:
	void accept();
	void slotAddClicked();
	void slotComparatorClicked(const QString& comparatorStr);
private:
	KSpread::View* kspreadView;
	KSpreadDlgSolverMain* mainDialog;
	bool add;
	QEditButton* cellReferenceEB;
	QComboBox* comparatorBox;
	QEditButton* constraintEB;
	bool addCondition();
	bool checkComparator(QString shortStr, QString str);
	double getFormulaValue(bool& ok);
};

#endif
