#ifndef __kspread_functions_solver__
#define __kspread_functions_solver__

#include "../dataAnalysis_solver/kspread_functions_common.h"

QStringVector* solvfunc_get_encoded_addresses(QString encodedFormula, bool withSheetNames = false);
QString solvfunc_add_sheetname(QString encodedFormula, QString sheetName);
bool solvfunc_check_formula_linear(QString encodedFormula, QStringVector& variableVector, QString targetCellAddress);
QString solvfunc_get_factors(QString encodedFormula, QStringVector& variableVector, QString variable, QString freeFactorStr, QString sheetName = "");
QString solvfunc_get_free_factor(QString encodedFormula, QStringVector& variableVector, QString sheetName = "");
QPoint solvfunc_get_cell_point(QString address);
QStringVector solvfunc_get_single_cells(QString address);
QString solvfunc_get_changing_cells_expression(QStringVector* vectorPtr, QString defaultSheet = "");
QStringVector* solvfunc_get_changing_cells_vector(QString expression);
#endif
