#ifndef __kspread_dlg_da_anova_two_factor_repl__
#define __kspread_dlg_da_anova_two_factor_repl__

#include "kspread_dlg_data_analysis_template.h"

class KSpread::View;

class KSpreadDlgAnovaTwoFactorReplication : public KSpreadDlgDataAnalysisTemplate
{
	Q_OBJECT
public:
	KSpreadDlgAnovaTwoFactorReplication(KSpread::View* parent, const char* name);
	~KSpreadDlgAnovaTwoFactorReplication();
private slots:
	void accept();
private:	
	void printStatisticsNames(KSpread::Sheet* sheet, int col, int row);
	void evaluateStatistics(KSpread::Sheet* sheet, FloatVector vector, int col, int row);
	void setLabelRow(KSpread::Sheet* sheet, int colStart, int colEnd,  int row);
};
#endif
