#ifndef __kspread_dlg_solv_result__
#define __kspread_dlg_solv_result__

#include "kspread_dlg_solver_template.h"

class KSpread::View;
class KSpreadDlgSolverMain;
class QRadioButton;

class KSpreadDlgSolverResult: public KDialogBase
{
	Q_OBJECT
public:
	KSpreadDlgSolverResult(KSpread::View* parent, const char* name, QStringVector* variablesVector, double* resultRow, int resultStatus);
	~KSpreadDlgSolverResult();
	void accept();
	void show();
private:
	KSpread::View* kspreadView;
	KSpreadDlgSolverMain* mainDialog;
	QStringVector* variablesVectorPtr;
	QStringVector* previousValuesPtr;
	QRadioButton* keepButton;
	QRadioButton* restoreButton;
	double* resultRow;
};

#endif
